lzma_check_state Struct Reference

Structure to hold internal state of the check being calculated. More...

`#include <check.h>`

## Data Fields

union {
uint8_t u8 [64]
uint32_t u32 [16]
uint64_t u64 [8]
} | buffer
| Buffer to hold the final result and a temporary buffer for SHA256. More...
union {
uint32_t crc32
uint64_t crc64
lzma_sha256_state sha256
} | state
| Check-specific data. More...

## Detailed Description

Structure to hold internal state of the check being calculated.

Note
  This is not in the public API because this structure may change in future if new integrity check algorithms are added.

## Field Documentation

##

union { ... } lzma_check_state::buffer

Buffer to hold the final result and a temporary buffer for SHA256.

##

union { ... } lzma_check_state::state

Check-specific data.

The documentation for this struct was generated from the following file:

- liblzma/check/check.h